Subject: Re: bug#12492: Acknowledgement (24.2.50; Open vc-dir buffer easier and faster)

From: Dmitry Gutov <[email-masked]>
Date: Sun, 15 Mar 2020 23:57:11 +0200

On 13.03.2020 16:30, Eli Zaretskii wrote:
>> Cc: [email-masked], [email-masked], [email-masked]
>> From: Dmitry Gutov <[email-masked]>
>> Date: Fri, 13 Mar 2020 14:23:51 +0200
>>
>>> How can we describe such an extension in advance in the user manual?
>>
>> Maybe by using a higher-level language like I suggested earlier in this
>> discussions.
> 
> That'd be some vague general principle, not a documentation of
> specific commands.

Surely you're not going to say that e.g. project-find-file calls 'git 
ls-files' to enumerate a project's files in the most usual case, or that 
project-find-regexp uses Grep under the hood?

Keeping a certain level of abstraction is a good thing.

>> Projects are this and that, you can use commands xx and yy whn inside a
>> project. If the current buffer does not belong to a project, you will be
>> prompted for a directory to look in. The main project type supported by
>> Emacs OOB is VC repositories.
> 
> Sorry, not in my book.  This text begs gobs of questions for which
> there will be no answers.  User manuals shouldn't do that.

Could you give an example of a couple of such questions?

>> How do we document completion-at-point, for instance? It's also
>> extensible.
> 
> We describe the available variants.  Please take a look at the
> relevant text (in "Symbol Completion" and in "Shell Mode").

So it says that completion-at-point is "flexible", and that's basically 
it on the subject of extensibility (IOW, the possibility of different 
behaviors in different major modes)?